aboutsummaryrefslogtreecommitdiff
path: root/scripts/maint/geoip/update_geoip.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/maint/geoip/update_geoip.sh')
-rwxr-xr-xscripts/maint/geoip/update_geoip.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/maint/geoip/update_geoip.sh b/scripts/maint/geoip/update_geoip.sh
new file mode 100755
index 0000000000..9289e7a969
--- /dev/null
+++ b/scripts/maint/geoip/update_geoip.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+DIR=$(cd "$(dirname "$0")" && pwd)
+TMP=$(mktemp -d)
+
+location update
+location dump "$TMP/geoip-dump.txt"
+
+OLDDIR=$(pwd)
+cd "$DIR/geoip-db-tool/"
+cargo build --release
+cd "$OLDDIR"
+
+"$DIR/geoip-db-tool/target/release/geoip-db-tool" -i "$TMP/geoip-dump.txt"